Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.amazonaws.services.sqs.model
Class SendMessageRequest

    java.lang.Object
      com.amazonaws.AmazonWebServiceRequest
          com.amazonaws.services.sqs.model.SendMessageRequest

    public class SendMessageRequest

extends AmazonWebServiceRequest

Container for the parameters to the `SendMessage operation`.

The SendMessage action delivers a message to the specified queue.

See Also:
  `AmazonSQS.sendMessage(SendMessageRequest)`

Constructor Summary
`SendMessageRequest()` Default constructor for a new SendMessageRequest object.
`SendMessageRequest(String queueUrl, String messageBody)` Constructs a new SendMessageRequest object.

Method Summary
`String` | `getMessageBody()` The message to send.
`String` | `getQueueUrl()`
`void` | `setMessageBody(String messageBody)` The message to send.
`void` | `setQueueUrl(String queueUrl)`
`String` | `toString()` Returns a string representation of this object; useful for testing and debugging.
`SendMessageRequest` | `withMessageBody(String messageBody)` The message to send.
`SendMessageRequest` | `withQueueUrl(String queueUrl)` Returns a reference to this object so that method calls can be chained together.

Methods inherited from class com.amazonaws.AmazonWebServiceRequest
`copyPrivateRequestParameters`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SendMessageRequest

    public SendMessageRequest()

  Default constructor for a new SendMessageRequest object. Callers should use the setter or fluent setter (with...) methods to initialize this object after creating it.

### SendMessageRequest

    public SendMessageRequest(String queueUrl,
                              String messageBody)

  Constructs a new SendMessageRequest object. Callers should use the setter or fluent setter (with...) methods to initialize any additional object members.

  Parameters:
    `queueUrl` -
    `messageBody` - The message to send.

Method Detail

### getQueueUrl

    public String getQueueUrl()

  Returns:

### setQueueUrl

    public void setQueueUrl(String queueUrl)

  Parameters:
    `queueUrl` -

### withQueueUrl

    public SendMessageRequest withQueueUrl(String queueUrl)

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `queueUrl` -
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getMessageBody

    public String getMessageBody()

  The message to send.

  Returns:
    The message to send.

### setMessageBody

    public void setMessageBody(String messageBody)

  The message to send.

  Parameters:
    `messageBody` - The message to send.

### withMessageBody

    public SendMessageRequest withMessageBody(String messageBody)

  The message to send.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `messageBody` - The message to send.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### toString

    public String toString()

  Returns a string representation of this object; useful for testing and debugging.

  Overrides:
    `toString` in class `Object`
  Returns:
    A string representation of this object.
  See Also:
    `Object.toString()`

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Amazon Web Services, Inc. All Rights Reserved.